---
title: "Branding"
description: "This guide highlights information about Authelia's branding assets"
lead: "This guide highlights information about Authelia's branding assets."
date: 2022-06-20T10:05:55+10:00
draft: false
images: []
menu:
  reference:
    parent: "guides"
weight: 220
toc: true
---

## Usage

The images are currently licensed under the same [Apache 2.0](https://github.com/authelia/authelia/blob/master/LICENSE)
as everything else in the repository. It is kindly requested however that with all of our branding that users only make
modifications that are in harmony with the following rules which are not intended to restrict usage unreasonably and are
only intended to preserve the Authelia branding identity:

1. They do not unreasonably alter the quality of the branding:
    - Image size changes should be done only when the size is appropriate for the intended display scenario.
    - Compression should not be applied overly aggressively for the intended display scenario.
2. The changes do not unreasonably alter the design of the branding and should fit one or more of the following
   categories:
   - Layout
   - Format

Examples of changes which fit these categories include:

- Adjusting the Spacing Around Images
- Adjusting the Size of the Images
- Saving the Images in Another Format
- Saving the Images with a Different Compression

If you have a particular adjustment you'd like to make that does not fit within these categories we kindly request that
you discuss it with the team in advance. It is likely that all reasonable requests will be added to this list in some
way.

## Location

The assets utilized for branding Authelia can be found in the below locations.

### Logo

The logo is just the Authelia circle logo without any text.

#### Logo Files

[PSD](https://www.authelia.com/images/branding/logo.psd) | [AI](https://www.authelia.com/images/branding/logo.ai) | [SVG](https://www.authelia.com/images/branding/logo.svg) | [PNG](https://www.authelia.com/images/branding/logo.png)

#### Logo Example

{{< figure src="/images/branding/logo.svg" link="/images/branding/logo.svg" target="_blank" alt="Authelia Logo" width="150" ignoreStaticImages="false" >}}

### Logo (Cropped)

The logo is the same as the standard logo without padding.

#### Logo (Cropped) Files

[PSD](https://www.authelia.com/images/branding/logo-cropped.psd) | [AI](https://www.authelia.com/images/branding/logo-cropped.ai) | [SVG](https://www.authelia.com/images/branding/logo-cropped.svg) | [PNG](https://www.authelia.com/images/branding/logo-cropped.png)

#### Logo (Cropped) Example

{{< figure src="/images/branding/logo-cropped.svg" link="/images/branding/logo-cropped.svg" target="_blank" alt="Authelia Logo" width="150" ignoreStaticImages="false" >}}

### Title

The title is the Authelia circle logo with the `authelia` branded text.

#### Title Files

[PSD](https://www.authelia.com/images/branding/title.psd) | [AI](https://www.authelia.com/images/branding/title.ai) | [SVG](https://www.authelia.com/images/branding/title.svg) | [PNG](https://www.authelia.com/images/branding/title.png)

#### Title Example

{{< figure src="/images/branding/title.svg" link="/images/branding/title.svg" target="_blank" alt="Authelia Title" width="300" ignoreStaticImages="false" >}}

